# Class MatrixCalcException.PositiveDefiniteException

java.lang.Object
java.lang.Throwable
java.lang.Exception
jebl.math.MatrixCalcException
jebl.math.MatrixCalcException.PositiveDefiniteException

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  `MatrixCalcException`

public static class MatrixCalcException.PositiveDefiniteException extends MatrixCalcException

See Also:
  - Serialized Form

## Nested Class Summary

### Nested classes/interfaces inherited from class MatrixCalcException

`MatrixCalcException.NotSquareMatrixException, MatrixCalcException.PositiveDefiniteException`

## Constructor Summary

Constructors
Constructor
Description
`PositiveDefiniteException()`
`PositiveDefiniteException(String message)`

## Method Summary

### Methods inherited from class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### PositiveDefiniteException

public PositiveDefiniteException()

### PositiveDefiniteException

public PositiveDefiniteException(String message)